# Enum Class TimeScale

java.lang.Object
java.lang.Enum<TimeScale>
org.daypilot.ui.enums.TimeScale

All Implemented Interfaces:
  `Serializable`, `Comparable<TimeScale>`, `Constable`

public enum TimeScale extends Enum<TimeScale>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CELL_DURATION`
  `DAY`
  `HOUR`
  `MANUAL`
  `MINUTE`
  `MONTH`
  `WEEK`
  `YEAR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TimeScale`
  `fromString(String id)`
  `String`
  `toString()`
  `static TimeScale`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TimeScale[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MINUTE

    public static final TimeScale MINUTE

  - ### HOUR

    public static final TimeScale HOUR

  - ### DAY

    public static final TimeScale DAY

  - ### WEEK

    public static final TimeScale WEEK

  - ### MONTH

    public static final TimeScale MONTH

  - ### YEAR

    public static final TimeScale YEAR

  - ### CELL_DURATION

    public static final TimeScale CELL_DURATION

  - ### MANUAL

    public static final TimeScale MANUAL

- ## Method Details

  - ### values

    public static TimeScale[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TimeScale valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromString

    public static TimeScale fromString(String id)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<TimeScale>`